Subject: bug#39677: closed (Re: bug#39677: Evolution's inbox widget is blank)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Oct 2023 19:31:02 +0000

Your bug report

#39677: Evolution's inbox widget is blank

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39677: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=39677
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39677: Evolution's inbox widget is blank
From: Csepp <[email-masked]>
To: Simon Tournier <[email-masked]>
Cc: raingloom <[email-masked]>, [email-masked]
Date: Fri, 20 Oct 2023 21:28:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Simon Tournier <[email-masked]> writes:

> Hi,
>
> It is about this old bug#39677 [1].  Sorry for not noticing it before.
>
> 1: <http://issues.guix.gnu.org/issue/39677>
>
>
> On Tue, 18 Oct 2022 at 17:53, zimoun <[email-masked]> wrote:
>> On Wed, 19 Feb 2020 at 15:20, raingloom <[email-masked]> wrote:
>>
>>> I've been haunted by this for months, so it's high time I make a proper bug
>>> report.
>>>
>>> I wiped all Evolution related directories I could find in .cache, .config, and
>>> .local, and reconfigured it from scratch, but that didn't help.
>>>
>>> When I open Evolution it prompts me for my password and pulls my emails
>>> without a problem, even shows a notification for them, but it doesn't
>>> display anything.
>>>
>>> It's not a font issue, because the scroll bar does not appear. There are no
>>> emails displayed at all. Double clicking on it should open a mail in a new
>>> window, but no window appears.
>>>
>>> I tried it in a VM that's a slight modification of my system, that had no
>>> problems.
>>> I also tried it in both i3wm and Gnome, but the results are identical.
>>>
>>> All I see in the log is this:
>>> ```
>>> (evolution:23706): GLib-GIO-WARNING **: 15:17:11.805: Your application did not
>>> unregister from D-Bus before destruction. Consider using g_application_run().
>>> ```
>>>
>>> I can send an strace log if necessary. The one I took was a bit long and
>>> didn't reveal much, but someone might have better luck.
>>>
>>> Any tips on where I should look?
>>>
>>> I suspect that it either doesn't play nice with some other package or that
>>> there is some state corruption I couldn't track down.
>>>
>>> For now I'll just use Geary for this account.
>>
>> Well, I am not an user of Evolution.  The question is: is it still an
>> issue for you?  If yes, are you running Guix on foreign distro?  Or Guix
>> System?
>
> Without any answer since 18 Oct 2022 (51 weeks, 6 days, 6 hours ago), I
> deduce it is not an issue anymore.  So I am going to close this issue
> soon.
>
> Cheers,
> simon

I haven't used Evolution for a long time, so if no one else reported
this, then hopefully it means it's no longer an issue.

Subject: Evolution's inbox widget is blank
From: raingloom <[email-masked]>
To: [email-masked]
Date: Wed, 19 Feb 2020 15:20:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I've been haunted by this for months, so it's high time I make a proper 
bug report.

I wiped all Evolution related directories I could find in .cache, 
.config, and .local, and reconfigured it from scratch, but that didn't 
help.

When I open Evolution it prompts me for my password and pulls my emails 
without a problem, even shows a notification for them, but it doesn't 
display anything.

It's not a font issue, because the scroll bar does not appear. There 
are no emails displayed at all. Double clicking on it should open a 
mail in a new window, but no window appears.

I tried it in a VM that's a slight modification of my system, that had 
no problems.
I also tried it in both i3wm and Gnome, but the results are identical.

All I see in the log is this:
```
(evolution:23706): GLib-GIO-WARNING **: 15:17:11.805: Your application 
did not unregister from D-Bus before destruction. Consider using 
g_application_run().
```

I can send an strace log if necessary. The one I took was a bit long 
and didn't reveal much, but someone might have better luck.

Any tips on where I should look?

I suspect that it either doesn't play nice with some other package or 
that there is some state corruption I couldn't track down.

For now I'll just use Geary for this account.